> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a default data warehouse connection

> An endpoint for creating a default data warehouse connection



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml post /v1/projects/{projectId}/data-platform-connections
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/projects/{projectId}/data-platform-connections:
    post:
      tags:
        - Connections
      summary: Create a default data warehouse connection
      description: An endpoint for creating a default data warehouse connection
      operationId: createDefaultDWHConnection
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            examples:
              Redshift:
                description: Redshift
                value:
                  name: my-dwh-connection
                  platformConnectionType: dwh
                  authProvider: redshift
                  authType: password
              Snowflake:
                description: Snowflake
                value:
                  name: my-dwh-connection
                  platformConnectionType: dwh
                  authProvider: snowflake
                  authType: key_pair
            schema:
              $ref: '#/components/schemas/CreateDefaultDWHConnectionRequest'
        required: true
      responses:
        '201':
          description: Default Data Warehouse Connection created
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Wrong request parameters used
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '409':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Name needs to be unique
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unprocessable Entity
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    CreateDefaultDWHConnectionRequest:
      type: object
      properties:
        authProvider:
          type: string
          description: The authentication provider to use for the connection
          enum:
            - SNOWFLAKE
            - REDSHIFT
          examples:
            - SNOWFLAKE
            - REDSHIFT
        authType:
          type: string
          description: The authentication type to use for the connection
          enum:
            - KEY_PAIR
            - PASSWORD
          examples:
            - KEY_PAIR
            - PASSWORD
        name:
          type: string
          description: The name of the default data warehouse connection
          example: DWH-Connection-1
          minLength: 1
        platformConnectionType:
          type: string
          description: The platform type of date warehouse connection to create
          enum:
            - DWH
            - COMPONENT_BASIC
            - CLOUD_PLATFORM_CREDENTIALS
          example: DWH
      required:
        - authProvider
        - authType
        - name
        - platformConnectionType
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````